package com.chenyang.druid.sql.dialect.gauss.ast.stmt;

import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.ast.SQLStatementImpl;
import com.chenyang.druid.sql.ast.statement.SQLCreateStatement;
import com.chenyang.druid.sql.ast.statement.SQLUpdateSetItem;
import com.chenyang.druid.sql.dialect.gauss.visitor.GaussASTVisitor;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class GaussCreateTableSpaceStatement extends SQLStatementImpl implements SQLCreateStatement {
   private SQLName tableSpaceName;
   private boolean owner;
   private SQLName ownerName;
   private SQLName locationDir;
   private boolean with;
   private boolean relative;
   private SQLName maxsize;
   private List<SQLUpdateSetItem> parameterList = new ArrayList();

   public SQLName getMaxsize() {
      return this.maxsize;
   }

   public void setMaxsize(SQLName maxsize) {
      this.maxsize = maxsize;
   }

   public boolean isRelative() {
      return this.relative;
   }

   public void setRelative(boolean relative) {
      this.relative = relative;
   }

   public SQLName getTableSpaceName() {
      return this.tableSpaceName;
   }

   public void setTableSpaceName(SQLName tableSpaceName) {
      this.tableSpaceName = tableSpaceName;
   }

   public boolean isOwner() {
      return this.owner;
   }

   public void setOwner(boolean owner) {
      this.owner = owner;
   }

   public SQLName getOwnerName() {
      return this.ownerName;
   }

   public void setOwnerName(SQLName ownerName) {
      this.ownerName = ownerName;
   }

   public SQLName getLocationDir() {
      return this.locationDir;
   }

   public void setLocationDir(SQLName locationDir) {
      this.locationDir = locationDir;
   }

   public boolean isWith() {
      return this.with;
   }

   public void setWith(boolean with) {
      this.with = with;
   }

   public List<SQLUpdateSetItem> getParameterList() {
      return this.parameterList;
   }

   public void setParameterList(List<SQLUpdateSetItem> parameterList) {
      this.parameterList = parameterList;
   }

   public void accept0(SQLASTVisitor visitor) {
      this.accept0((GaussASTVisitor)visitor);
   }

   public void accept0(GaussASTVisitor visitor) {
      visitor.visit(this);
   }
}
